// DlgRemote.cpp : ʵļ
//

#include "stdafx.h"
#include "AjNetSdkDemo.h"
#include "DlgRemote.h"
#include "afxdialogex.h"
#include "RemoteConfig.h"
#include "NetSDKDevice.h"

// CDlgRemote Ի

IMPLEMENT_DYNAMIC(CDlgRemote, CDialogEx)

CDlgRemote::CDlgRemote(CString strIp,CWnd* pParent /*=NULL*/)
	: CDialogEx(CDlgRemote::IDD, pParent)
{
	m_strIp = strIp;
	m_lCfgID = 0;
}

CDlgRemote::~CDlgRemote()
{
}

void CDlgRemote::DoDataExchange(CDataExchange* pDX)
{
	CDialogEx::DoDataExchange(pDX);
}


BEGIN_MESSAGE_MAP(CDlgRemote, CDialogEx)
	ON_WM_CLOSE()
END_MESSAGE_MAP()


// CDlgRemote Ϣ


BOOL CDlgRemote::OnInitDialog()
{
	CDialogEx::OnInitDialog();

	if (m_strIp.IsEmpty())
		OnCancel();
	else
	{
		CMapAutoLock lock;
		CNetSDKDevice* pDevice = NULL;
		pDevice = (CNetSDKDevice*)theApp.m_manageDevice.GetDeviceByIp(m_strIp);
		if (pDevice)
		{
			SetWindowText(m_strIp);
			if (m_lCfgID == 0)
			{
				CRect clientRect;
				GetClientRect(clientRect);
				ClientToScreen(clientRect);

				CString strUserName = pDevice->m_nDevInfo.szAccount;
				CString strPassword = pDevice->m_nDevInfo.szPwd;
				int nPort = pDevice->m_nDevInfo.dwPtzPort;
				USES_CONVERSION;
				m_lCfgID = CFG_UC_Init(W2A(m_strIp), nPort, W2A(strUserName), W2A(strPassword), "zh-cn", this);
				CFG_UC_ShowModelessDlg(m_lCfgID, clientRect);
			}
		}
		else
			OnCancel();
	}

	return TRUE;  // return TRUE unless you set the focus to a control
	// 쳣:  OCX ҳӦ FALSE
}


void CDlgRemote::OnClose()
{
	// TODO:  ڴϢ/Ĭֵ
	if (m_lCfgID > 0)
	{
		CFG_UC_ShowModelessDlg(m_lCfgID, CRect(0, 0, 0, 0));
		CFG_UC_UnInit(m_lCfgID);
		m_lCfgID = -1;
	}
	CDialogEx::OnClose();
}
